play.modules.reactivemongo

# JSONFileToSave

###
Related Docs: object JSONFileToSave | package reactivemongo

#### class JSONFileToSave extends FileToSave[JSONSerializationPack.type, JsValue]

A JSON implementation of `FileToSave`.

Linear Supertypes
FileToSave[JSONSerializationPack.type, JsValue], CustomMetadata[JSONSerializationPack.type], BasicMetadata[JsValue], AnyRef, Any
Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. JSONFileToSave
2. FileToSave
3. CustomMetadata
4. BasicMetadata
5. AnyRef
6. Any

1. Hide All
2. Show All

Visibility

1. Public
2. All

### Instance Constructors

1. #### new JSONFileToSave(filename: Option[String] = None, contentType: Option[String] = None, uploadDate: Option[Long] = None, metadata: JsObject = Json.obj(), id: JsValue = ...)

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

5. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

6. #### val contentType: Option[String]

   Definition Classes
     JSONFileToSave → BasicMetadata

7. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

8. #### def equals(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

9. #### val filename: Option[String]

   Definition Classes
     JSONFileToSave → BasicMetadata

10. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

11. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

12. #### def hashCode(): Int

    Definition Classes
      AnyRef → Any

13. #### val id: JsValue

    Definition Classes
      JSONFileToSave → BasicMetadata

14. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

15. #### val metadata: JsObject

    Definition Classes
      JSONFileToSave → CustomMetadata

16. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

17. #### final def notify(): Unit

    Definition Classes
      AnyRef

18. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

19. #### val pack: JSONSerializationPack.type

    Definition Classes
      JSONFileToSave → CustomMetadata

20. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

21. #### def toString(): String

    Definition Classes
      AnyRef → Any

22. #### val uploadDate: Option[Long]

    Definition Classes
      JSONFileToSave → BasicMetadata

23. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

24. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

25. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from FileToSave[JSONSerializationPack.type, JsValue]

### Inherited from CustomMetadata[JSONSerializationPack.type]

### Inherited from BasicMetadata[JsValue]

### Inherited from AnyRef

### Inherited from Any

### Ungrouped